package com.ruoyi.project.activiti.service;

import com.ruoyi.framework.web.page.TableDataInfo;
import com.ruoyi.project.activiti.domain.*;
import org.activiti.engine.task.Task;

import java.util.List;
import java.util.Map;

public interface LeaveNewService {
    int add(MyFormDataActiviti myFormData);

    List<MyFormDataActiviti> select(Long userId);

    MyFormDataActiviti get(Long id);

    int update(MyFormDataActiviti myFormDataActiviti);

    int remove(List<Long> ids);

    Object getFormData(String processKey);

    void submitApply(Long id);

    TableDataInfo findTodoTasks();

    MyFormData taskFormData(MyTaskVo myTaskVo);

    void taskCommit(TaskCommitForm taskCommitForm);

    List<FormsVo> showForms(String instanceId);

    List<MyFormDataActiviti> taskDoneList(Long userId);

    List<MyTaskVo> taskList(String id);
}
